SPI_SYNC_LOCKED(9)

NAME
spi_sync_locked - version of spi_sync with exclusive bus usage

SYNOPSIS

int spi_sync_locked(struct spi_device * spi, struct spi_message * message);

ARGUMENTS

spi
    device with which data will be exchanged

message
    describes the data transfers

CONTEXT

can sleep

DESCRIPTION

This call may only be used from a context that may sleep. The sleep is non-interruptible, and has no timeout. Low-overhead controller drivers may DMA directly into and out of the message buffers.

This call should be used by drivers that require exclusive access to the SPI bus. It has to be preceded by a spi_bus_lock call. The SPI bus must be released by a spi_bus_unlock call when the exclusive access is over.

It returns zero on success, else a negative error code.

COPYRIGHT